<?php
$get_gratifypay_assets = function()
{
	// These are assets values in the gratifypay - WooCommerce plugin
	$global_assets = array(
		"checkout_page_footer" 							=>	'You will be redirected to the Gratify Pay website when you click',
		"product_variant_fallback_asset"		=>	'Gratify Pay available between <strong>[MIN_LIMIT]</strong> - <strong>[MAX_LIMIT]</strong>',
		"product_variant_fallback_asset_2"	=>	'Gratify Pay available for orders up to <strong>[MAX_LIMIT]</strong>',
		"cart_page_express_button"					=>	'<tr><td colspan="100%" style="text-align: center;"><button id="gratifypay_express_button" class="btn-gratifypay_express btn-gratifypay_express_cart" type="button" disabled><img src="https://raw.githubusercontent.com/GratifyPay/app/master/src/assets/gratify-banner.png?token=AB6CCSJRMKWEPNB5P4IWSSDA44CRC" alt="Checkout with Gratify Pay" /></button></td></tr>',
	);

	$assets = array(

		"USD" => array(
			"name" 						=> 'US',
			"product_page"				=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"category_page" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"product_variant" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"cart_page" 				=> "<tr><td colspan=\"100%\">or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]</td></tr>",
			"checkout_page_cta" 		=> "Four interest-free installments totaling",
			"checkout_page_first_step" 	=> "First Installment",
			"fallback_asset" 			=> "[GRATIFY_BADGE] available between <strong>[MIN_LIMIT]</strong> - <strong>[MAX_LIMIT]</strong>",
			"fallback_asset_2" 			=> "[GRATIFY_BADGE] available for orders up to <strong>[MAX_LIMIT]</strong>",
			"cs_number" 				=> "855 289 6014",
			"retailer_url" 				=> "https://www.gratifypay.com/",
		),
		"CAD" => array(
			"name" 						=> 'US',
			"product_page"				=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"category_page" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"product_variant" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"cart_page" 				=> "<tr><td colspan=\"100%\">or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]</td></tr>",
			"checkout_page_cta" 		=> "Four interest-free installments totaling",
			"checkout_page_first_step" 	=> "First Installment",
			"fallback_asset" 			=> "[GRATIFY_BADGE] available between <strong>[MIN_LIMIT]</strong> - <strong>[MAX_LIMIT]</strong>",
			"fallback_asset_2" 			=> "[GRATIFY_BADGE] available for orders up to <strong>[MAX_LIMIT]</strong>",
			"cs_number" 				=> "855 289 6014",
			"retailer_url" 				=> "https://www.gratifypay.com/",
		),
		"AUD" => array(
			"name" 						=> 'US',
			"product_page"				=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"category_page" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"product_variant" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"cart_page" 				=> "<tr><td colspan=\"100%\">or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]</td></tr>",
			"checkout_page_cta" 		=> "Four interest-free installments totaling",
			"checkout_page_first_step" 	=> "First Installment",
			"fallback_asset" 			=> "[GRATIFY_BADGE] available between <strong>[MIN_LIMIT]</strong> - <strong>[MAX_LIMIT]</strong>",
			"fallback_asset_2" 			=> "[GRATIFY_BADGE] available for orders up to <strong>[MAX_LIMIT]</strong>",
			"cs_number" 				=> "855 289 6014",
			"retailer_url" 				=> "https://www.gratifypay.com/",
		),
		"NZD" => array(
			"name" 						=> 'US',
			"product_page"				=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"category_page" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"product_variant" 			=> "or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]",
			"cart_page" 				=> "<tr><td colspan=\"100%\">or [NUM_PAYMENTS] x <b><strong>[AMOUNT]</strong></b> with [GRATIFY_BADGE]</td></tr>",
			"checkout_page_cta" 		=> "Four interest-free installments totaling",
			"checkout_page_first_step" 	=> "First Installment",
			"fallback_asset" 			=> "[GRATIFY_BADGE] available between <strong>[MIN_LIMIT]</strong> - <strong>[MAX_LIMIT]</strong>",
			"fallback_asset_2" 			=> "[GRATIFY_BADGE] available for orders up to <strong>[MAX_LIMIT]</strong>",
			"cs_number" 				=> "855 289 6014",
			"retailer_url" 				=> "https://www.gratifypay.com/",
		),
		
	);

	$currency =	get_option('woocommerce_currency');

	$region_assets = array_key_exists($currency, $assets) ? $assets[$currency] : $assets['AUD'];

	return array_merge($global_assets, $region_assets);
};

return $get_gratifypay_assets();
?>
